Subject: Ticket Assigned - Credit card issue
From: Splash <[email-masked]>
To: [email-masked]
Date: Sat, 27 Nov 2021 08:10:02 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Credit card issue  Dear support 

When I am purchasing in splash online I am getting error and not able to compleat process by my Master credit card . But same card I used in splash 1 days before also . 
Now my credit card is working with other sites and not working in only splash. Please check the issue and let me know .. 
i am attaching the screen shot regarding error.

Thank you 
Bala
Sent from my iPhone
 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3401508